<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.16 Update #3                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Core
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */

/**
 * function AdminDoAddBlockcode
 * A function to add a new blockcode to the database
 * @author Philipp Louis Esselbach
 */
function AdminDoAddBlockcode()
{
	global $database, $security, $preferences, $system, $html, $login_username, $ipaddr, $words_core;
	$input_blockcode_name = ( isset( $_POST[ 'input_blockcode_name' ] ) ) ? $security -> checkvar( $_POST[ 'input_blockcode_name' ] ) : "" ;
	$input_blockcode_description = ( isset( $_POST[ 'input_blockcode_description' ] ) ) ? $security -> checkvar( $_POST[ 'input_blockcode_description' ] ) : "" ;
	$input_blockcode_active = ( isset( $_POST[ 'input_blockcode_active' ] ) ) ? $security -> checknum( $_POST[ 'input_blockcode_active' ] ) : "" ;
	$input_blockcode_search = ( isset( $_POST[ 'input_blockcode_search' ] ) ) ? $security -> checkvar( $_POST[ 'input_blockcode_search' ] ) : "" ;
	$input_blockcode_replace = ( isset( $_POST[ 'input_blockcode_replace' ] ) ) ? $security -> checkvar( $_POST[ 'input_blockcode_replace' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_core[ 'ERROR' ], $words_core[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}

	if ( !$input_blockcode_name )
	{
		$html -> error( $words_core[ 'ERROR' ], $words_core[ 'BLOCKCODE_NAME' ], 1 );
	}
	elseif ( !$input_blockcode_search )
	{
		$html -> error( $words_core[ 'ERROR' ], $words_core[ 'BLOCKCODE_SEARCH' ], 1 );
	}
	elseif ( !$input_blockcode_replace )
	{
		$html -> error( $words_core[ 'ERROR' ], $words_core[ 'BLOCKCODE_REPLACE' ], 1 );
	}
	else
	{
		$query = $database -> dbquery( "SELECT code_id FROM " . DB_PREFIX . "esselbach_ct_blockcode WHERE code_name = '" . $input_blockcode_name . "'" );

		if( !$database -> dbrows( $query ) )
		{
			$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_blockcode (code_id, code_active, code_name, code_description, code_search, code_replace, code_position, code_editadmin, code_postip, code_editip) VALUES (NULL, '" . $input_blockcode_active . "', '" . $input_blockcode_name . "', '" . $input_blockcode_description . "', '" . $input_blockcode_search . "', '" . $input_blockcode_replace . "', '0', '" . $login_username . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
			$input_blockcodeid = $database -> dblastinsert();
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_blockcode SET code_position = '" . $input_blockcodeid . "' WHERE code_id = '" . $input_blockcodeid . "'" );
			AdminManageBlockcodes( 0 );
		}
		else
		{
			$html -> error( $words_core[ 'ERROR' ], $words_core[ 'BLOCKCODE_EXISTS' ], 1 );
		}
	}
}
?>