<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.16 Update #3                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Core
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */

/**
 * function AdminManageBlockcodes
 * A function to manage blockcodes
 * @author Philipp Louis Esselbach
 */
function AdminManageBlockcodes( $opts )
{
	global $database, $security, $system, $preferences, $html, $words_core;
	$options = explode( "-", $opts );
	$options[ 0 ] = ( isset( $options[ 0 ] ) ) ? $security -> checkvar( $options[ 0 ] ) : "" ;
	$options[ 1 ] = ( isset( $options[ 1 ] ) ) ? $security -> checknum( $options[ 1 ] ) : "" ;
	$options[ 2 ] = ( isset( $options[ 2 ] ) ) ? $security -> checkvar( $options[ 2 ] ) : "" ;

	if( $options[ 0 ] )
	{
		if( ( $system -> adminhashget() != $options[ 2 ] ) and( $preferences[ 'website_subsessions_admin' ] ) )
		{
			$html -> login( $words_core[ 'ERROR' ], $words_core[ 'INVALID_SESSION' ], "index.php" );
			exit;
		}
	}

	if( $options[ 0 ] == "deleteblockcode" )
	{
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_blockcode WHERE code_id = '" . $options[ 1 ] . "'" );
		$html -> login( $words_core[ 'EDIT_BLOCKCODE' ], $words_core[ 'BLOCKCODE_REMOVED' ], "index.php?action=manageblockcodes" );
	}

	if( $options[ 0 ] == "editblockcode" )
	{
		$query = $database -> dbquery( "SELECT code_id, code_active, code_name, code_description, code_search, code_replace FROM " . DB_PREFIX . "esselbach_ct_blockcode WHERE code_id = '" . $options[ 1 ] . "'" );
		list( $blockcode_id, $blockcode_active, $blockcode_name, $blockcode_description, $blockcode_search, $blockcode_replace ) = $database -> dbrow( $query );
		$html -> makeheader( $words_core[ 'EDIT_BLOCKCODE' ] );
		$html -> makesubheader();
		$html -> makegroupmenu( "core" );
		$html -> makeformheader( $words_core[ 'EDIT_BLOCKCODE' ], "edit", "editform", "post" );
		$html -> uppertext( $words_core[ 'BLOCKCODE_NAME_INPUT' ], "input_blockcode_name", $blockcode_name );
		$html -> upperform( $words_core[ 'DESCRIPTION' ], "input_blockcode_description", $blockcode_description, 2 );
		$html -> makeselect( $words_core[ 'ACTIVE' ], "input_blockcode_active", $blockcode_active, $words_core[ 'YES' ] . " " . $words_core[ 'NO' ] );
		echo "<br />";
		$html -> upperform( $words_core[ 'SEARCH_FOR' ], "input_blockcode_search", $blockcode_search, 2 );
		$html -> upperform( $words_core[ 'REPLACE_WITH' ], "input_blockcode_replace", $blockcode_replace, 2 );
		echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $options[ 2 ] . "\" /><input type=\"hidden\" name=\"aform\" value=\"doeditblockcode\" /><input type=\"hidden\" name=\"input_blockcode_id\" value=\"" . $blockcode_id . "\" /><input type=\"submit\" class=\"button\" value=\"" . $words_core[ 'SUBMIT' ] . "\" />";
		$html -> makeformfooter();
	}

	if( $options[ 0 ] == "downblockcode" )
	{
		$query = $database -> dbquery( "SELECT code_position FROM " . DB_PREFIX . "esselbach_ct_blockcode WHERE code_id = '" . $options[ 1 ] . "'" );
		list( $position ) = $database -> dbrow( $query );

		if( $position == 1 )
		{
			$html -> login( $words_core[ 'EDIT_BLOCKCODE' ], $words_core[ 'BLOCKCODE_ALREADY_ON_TOP' ], "index.php?action=manageblockcodes" );
		}
		else
		{
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_blockcode SET code_position = code_position - 1 WHERE code_id = '" . $options[ 1 ] . "'" );
			$html -> login( $words_core[ 'EDIT_BLOCKCODE' ], $words_core[ 'BLOCKCODE_INCREASED_POSITION' ], "index.php?action=manageblockcodes" );
		}
	}

	if( $options[ 0 ] == "upblockcode" )
	{
		$query = $database -> dbquery( "SELECT COUNT(code_id) FROM " . DB_PREFIX . "esselbach_ct_blockcode" );
		list( $end_position ) = $database -> dbrow( $query );
		$query = $database -> dbquery( "SELECT code_position FROM " . DB_PREFIX . "esselbach_ct_blockcode WHERE code_id = '" . $options[ 1 ] . "'" );
		list( $current_position ) = $database -> dbrow( $query );

		if( $current_position == $end_position )
		{
			$html -> login( $words_core[ 'EDIT_BLOCKCODE' ], $words_core[ 'BLOCKCODE_ALREADY_ON_BOTTOM' ], "index.php?action=manageblockcodes" );
		}
		else
		{
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_blockcode SET code_position = code_position + 1 WHERE code_id = '" . $options[ 1 ] . "'" );
			$html -> login( $words_core[ 'EDIT_BLOCKCODE' ], $words_core[ 'BLOCKCODE_DECREASED_POSITION' ], "index.php?action=manageblockcodes" );
		}
	}

	if( $options[ 0 ] == "disableblockcode" )
	{
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_blockcode SET code_active = '0' WHERE code_id = '" . $options[ 1 ] . "'" );
		$options[ 0 ] = "";
	}

	if( $options[ 0 ] == "enableblockcode" )
	{
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_blockcode SET code_active = '1' WHERE code_id = '" . $options[ 1 ] . "'" );
		$options[ 0 ] = "";
	}

	if( !$options[ 0 ] )
	{

		$security_hash = $system -> adminhashput();

		$html -> makeheader( $words_core[ 'MANAGE_BLOCKCODES' ] );
		$html -> deleteinit( $words_core[ 'ARE_YOU_SURE' ] );
		$html -> makesubheader();
		$html -> makegroupmenu( "core" );
		$html -> makeformheaderwide( $words_core[ 'MANAGE_BLOCKCODES' ], "blockcodes", "doorderblockcodes", "post" );
		$html -> tableheader( $words_core[ 'ID' ], $words_core[ 'BLOCKCODE' ] );
		$query = $database -> dbquery( "SELECT code_id, code_active, code_name, code_description, code_position FROM " . DB_PREFIX . "esselbach_ct_blockcode ORDER BY code_position" );

		while( list( $blockcode_id, $blockcode_active, $blockcode_name, $blockcode_description, $blockcode_position ) = $database -> dbrow( $query ) )
		{
			if( $blockcode_active )
			{
				$blockcode_status = "<a href=\"index.php?action=manageblockcodes&amp;opts=disableblockcode-" . $blockcode_id . "-" . $security_hash . "\"><img src=\"../images/enabled.gif\" alt=\"" . $words_core[ 'DISABLE' ] . "\" /></a>";
			}
			else
			{
				$blockcode_status = "<a href=\"index.php?action=manageblockcodes&amp;opts=enableblockcode-" . $blockcode_id . "-" . $security_hash . "\"><img src=\"../images/disabled.gif\" alt=\"" . $words_core[ 'ENABLE' ] . "\" /></a>";
			}

			$html -> tablemiddle( $blockcode_id, "<div title = \"" . htmlspecialchars( $blockcode_description ) . "\">" . $blockcode_status . " " . htmlspecialchars( $blockcode_name ) . " <a href=\"index.php?action=manageblockcodes&amp;opts=upblockcode-" . $blockcode_id . "-" . $security_hash . "\"><img src=\"../images/up.gif\" alt=\"up\" /></a> <a href=\"index.php?action=manageblockcodes&amp;opts=downblockcode-" . $blockcode_id . "-" . $security_hash . "\"><img src=\"../images/down.gif\" alt=\"down\" /></a> (" . $words_core[ 'PRIORITY' ] . ": <input name=\"input_priority[" . $blockcode_id . "]\" size=\"3\" value=\"" . $blockcode_position . "\" />)</div>", "manageblockcodes&amp;opts=editblockcode-" . $blockcode_id . "-" . $security_hash, "manageblockcodes&amp;opts=deleteblockcode-" . $blockcode_id . "-" . $security_hash );
		}
		$html -> table5close( "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doupdateblockcodes\" /><input type=\"submit\" class=\"button\" value=\"" . $words_core[ 'UPDATE_PRIORITY' ] . "\" />" );

		$html -> maketablefooter();
		$html -> makeformsub( $words_core[ 'ADD_A_NEW_BLOCKCODE' ] );
		$html -> uppertext( $words_core[ 'BLOCKCODE_NAME_INPUT' ], "input_blockcode_name", "" );
		$html -> upperform( $words_core[ 'DESCRIPTION' ], "input_blockcode_description", "", 2 );
		$html -> makeselect( $words_core[ 'ACTIVE' ], "input_blockcode_active", 1, $words_core[ 'YES' ] . " " . $words_core[ 'NO' ] );
		echo "<br />";
		$html -> upperform( $words_core[ 'SEARCH_FOR' ], "input_blockcode_search", "", 2 );
		$html -> upperform( $words_core[ 'REPLACE_WITH' ], "input_blockcode_replace", "", 2 );
		echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doaddblockcode\" /><input type=\"submit\" class=\"button\" value=\"" . $words_core[ 'SUBMIT' ] . "\" />";
		$html -> makeformfooter();
	}
}
?>